VST 3 SDK: HostAttributeList Class Reference
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
HostAttributeList Class Referencefinal
Common Hosting SDK Implementation Helper Classes

Example, ready to use implementation of IAttributeList. More...

`#include <hostclasses.h>`

Inheritance diagram for HostAttributeList:

## Public Member Functions
tresult | setInt (AttrID aid, int64 value) override
tresult | getInt (AttrID aid, int64 &value) override
tresult | setFloat (AttrID aid, double value) override
tresult | getFloat (AttrID aid, double &value) override
tresult | setString (AttrID aid, const TChar *string) override
tresult | getString (AttrID aid, TChar *string, uint32 sizeInBytes) override
tresult | setBinary (AttrID aid, const void *data, uint32 sizeInBytes) override
tresult | getBinary (AttrID aid, const void *&data, uint32 &sizeInBytes) override
virtual | ~HostAttributeList () noexcept
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Member Functions
static IPtr< IAttributeList > | make ()
| make a new attribute list instance

## Additional Inherited Members
Public Types inherited from IAttributeList
typedef const char * | AttrID
typedef const char * | AttrID
Static Public Attributes inherited from IAttributeList
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Example, ready to use implementation of IAttributeList.

## Constructor & Destructor Documentation

## ◆ ~HostAttributeList()

~HostAttributeList | ( |  | ) |
| virtualnoexcept

## Member Function Documentation

## ◆ make()

static IPtr< IAttributeList > make | ( |  | ) |
| static

make a new attribute list instance

## ◆ setInt()

tresult setInt | ( | AttrID | aid,
|  | int64 | value )
| overridevirtual

Implements IAttributeList.

## ◆ getInt()

tresult getInt | ( | AttrID | aid,
|  | int64 & | value )
| overridevirtual

Implements IAttributeList.

## ◆ setFloat()

tresult setFloat | ( | AttrID | aid,
|  | double | value )
| overridevirtual

Implements IAttributeList.

## ◆ getFloat()

tresult getFloat | ( | AttrID | aid,
|  | double & | value )
| overridevirtual

Implements IAttributeList.

## ◆ setString()

tresult setString | ( | AttrID | aid,
|  | const TChar * | string )
| overridevirtual

Implements IAttributeList.

## ◆ getString()

tresult getString | ( | AttrID | aid,
|  | TChar * | string,
|  | uint32 | sizeInBytes )
| overridevirtual

Implements IAttributeList.

## ◆ setBinary()

tresult setBinary | ( | AttrID | aid,
|  | const void * | data,
|  | uint32 | sizeInBytes )
| overridevirtual

Implements IAttributeList.

## ◆ getBinary()

tresult getBinary | ( | AttrID | aid,
|  | const void *& | data,
|  | uint32 & | sizeInBytes )
| overridevirtual

Implements IAttributeList.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.